#ifndef __IUF_STARS
#define __IUF_STARS

#ifdef _WIN32
#define drand48() (((float) rand())/((float) RAND_MAX))
#define srand48(x) (srand((x)))
#endif

/** This class represent the starred background.
The starred background is a unitary square filled with stars.
Version History {\small 
\begin{itemize}
\item 0.4 First Release 
\end{itemize}
}
*/

class Stars : public GameObj
{
public:
	vector<Point3f> S;
	vector<Point3f> C;
	int cc;
	/// default constructor 
	Stars(int starn=200);

	
/** It draws all the stars.
Stars and color are kept in two vector and drawn with glDrawArray().
*/
int Draw();


	/** Update the color counter.
	Every 1/3 sec the color vector is shifted of one position.
  In this way all the stars change their color.
  */
	void Update(int t)
	{
		static int tt;
		tt+=t;
		if(tt>300)
		{
			tt-=300;
			cc=(cc+1)%10;
		}
	}
	
	};

#endif